View Issue Details

IDProjectCategoryView StatusLast Update
0001597Far ManagerFile Systempublic2010-12-21 13:34
ReporterDV Assigned Tovskirdin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindows 
Fixed in Version2.0 
Summary0001597: Ошибка Cannot find the file после panel.setpath()
DescriptionПосле вызова макроса, меняющего путь/папку на пассивной панели, попытка скопировать файл/папку из активной панели приводит к ошибке "Cannot find the file"
Steps To Reproduce1) Есть макрос с названием "Open current folder in passive panel" и таким вот кодом:

$If (APanel.Visible && !APanel.Plugin)
  $If (APanel.Folder)
    panel.setpath(1, APanel.Path+"\\"+panel.item(0,0,0))
  $Else
    panel.setpath(1, APanel.Path, panel.item(0,0,0))
  $End
$End

Макрос повешан на сочетания CtrlAltLeft и CtrlAltRight (для симметрии).
2) На любой папке в активной панели делаем Ctrl+Alt+Left (вызов вышеуказанного макроса).
3) Перемещаемся на любой другой элемент в активной панели, нажимаем F5 - и получаем ошибку "Cannot find the file"
TagsNo tags attached.
Build1767

Activities

DV

2010-11-19 09:03

reporter   bugnote:0005984

Воспроизводится и в Windows XP. Проверялось с FAR 2.0.1723, 1721 и 1706.

DV

2010-12-21 11:11

reporter   bugnote:0006024

исправлено в FAR 2.0.1767

Issue History

Date Modified Username Field Change
2010-11-17 08:17 DV New Issue
2010-11-19 09:03 DV Note Added: 0005984
2010-12-21 11:11 DV Note Added: 0006024
2010-12-21 13:34 vskirdin Build => 1767
2010-12-21 13:34 vskirdin Status new => closed
2010-12-21 13:34 vskirdin Assigned To => vskirdin
2010-12-21 13:34 vskirdin Resolution open => fixed
2010-12-21 13:34 vskirdin Fixed in Version => 2.0